import { memo } from 'react';
import { useTranslation } from 'react-i18next';
import { Link } from 'react-router-dom';

function NavLinks({ className }) {
  const { t } = useTranslation('layout2');

  return (
    <>
      <Link className={className} to="/rent-and-buy">
        {t('rent_and_buy')}
      </Link>
      <Link className={className} to={{ hash: 'about-us' }}>
        {t('about_us')}
      </Link>
      <Link className={className} to={{ hash: 'blog' }}>
        {t('blog')}
      </Link>
      <Link className={className} to={{ hash: 'contacts' }}>
        {t('contacts')}
      </Link>
    </>
  );
}

export default memo(NavLinks);
